<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<floater
 legacy_header_height="8"
 can_resize="true"
 height="440"
 layout="topleft"
 min_height="320"
 min_width="459"
 name="worldmap"
 save_rect="true"
 save_visibility="true"
 single_instance="true"
 title="World Map"
 width="595">
   <layout_stack
   border_size="0"
   clip="true"
   follows="all"
   height="423"
   layout="topleft"
   left="0"
   mouse_opaque="false"
   name="toolbar_stack"
   orientation="horizontal"
   top="10"
   width="597">
      <layout_panel
      auto_resize="false"
      visibility_control="WorldMapShowLegend"
      follows="all"
      height="398"
      left="0"
      width="120"
      background_visible="false"
      bg_alpha_color="Black_75"
      layout="topleft"
      mouse_opaque="true"
      name="legend_panel">
        <panel
        name="layout_panel_1"
        width="130"
        follows="all"
        height="398"
        top="0"
        left="7"
        bg_alpha_image="Panel_Background"
	 background_visible="true">
          <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top="1"
 width="112"/>
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           layout="topleft"
           left="6"
           name="legend_label"
           top_delta="4"
           width="125">
              Legend: Me
           </text>
           <button
           follows="left|top"
           height="22"
           image_overlay="map_avatar_16.tga"
           image_selected="transparent.j2c"
           image_unselected="transparent.j2c"
           scale_image="false"
           left="3"
           layout="topleft"
           name="Show My Location"
           tool_tip="Center map on my avatar&apos;s location"
           top_pad="7"
           width="24" >
              <button.commit_callback
              function="WMap.ShowAgent" />
           </button>
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="14"
           top_delta="5"
           left_pad="0"
           layout="topleft"
           name="me_label"
           width="90">
              Me
           </text>
           <button
           follows="top|left"
           height="22"
           image_overlay="map_home.tga"
           image_selected="transparent.j2c"
           image_unselected="transparent.j2c"
           scale_image="true"
           label_color="White"
           layout="topleft"
           left="3"
           top_pad="-2"
           name="Go Home"
           tool_tip="Teleport to my home location"
           width="24" >
              <button.commit_callback
              function="WMap.GoHome" />
           </button>
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="14"
           top_delta="5"
           left_pad="0"
           layout="topleft"
           name="Home_label"
           width="70">
              Home
           </text>
           <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top_pad="10"
 width="112"/>
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           layout="topleft"
           left="6"
           name="legend_label"
           top_delta="4"
           width="125">
              Legend: Land
           </text>
           <icon
           color="0.5 0.25 1 1"
           follows="top|left"
           height="16"
           image_name="legend.tga"
           layout="topleft"
           mouse_opaque="true"
           name="square2"
           left="6"
           top_pad="8"
           width="16" />
           <text
           type="string"
           length="1"
           follows="top|left"
           height="14"
           layout="topleft"
           left_pad="3"
           name="auction_label"
           top_delta="2"
           width="100">
              Land auction
           </text>
           <icon
           color="1 1 0.25 1"
           follows="top|left"
           height="16"
           image_name="legend.tga"
           layout="topleft"
           mouse_opaque="true"
           name="square2"
           left="6"
           top_pad="1"
           width="16" />
           <text
           type="string"
           length="1"
           follows="top|left"
           height="14"
           layout="topleft"
           left_pad="3"
           name="by_owner_label"
           top_delta="2"
           width="100">
              By owner
           </text>
           <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top_pad="10"
 width="112"/>
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           layout="topleft"
           left="6"
           name="legend_label"
           top_delta="4"
           width="125">
              Legend: Misc
           </text>
           <check_box
           control_name="MapShowPeople"
           follows="top|left"
           height="16"
           layout="topleft"
           left="4"
           name="people_chk"
           top_pad="10"
           width="22" />
           <icon
           color="0 1 0 1"
           follows="top|left"
           height="10"
           image_name="map_avatar_32.tga"
           layout="topleft"
           left_pad="2"
           mouse_opaque="true"
           name="people_chek"
           top_delta="4"
           width="10" />
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           top_delta="0"
           left_pad="7"
           layout="topleft"
           name="person_label"
           width="90">
           Person
           </text>
           <check_box
           control_name="MapShowInfohubs"
           follows="top|left"
           height="16"
           layout="topleft"
           left="4"
           name="infohub_chk"
           top_pad="-4"
           width="22" />
           <icon
           follows="top|left"
           height="15"
           image_name="map_infohub.tga"
           layout="topleft"
           left_pad="0"
           mouse_opaque="true"
           name="infohub"
           top_delta="2"
           width="15" />
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           top_delta="2"
           left_pad="4"
           layout="topleft"
           name="infohub_label"
           width="90">
              Infohub
           </text>
           <check_box
           control_name="MapShowLandForSale"
           follows="top|left"
           height="16"
           layout="topleft"
           left="4"
           name="land_for_sale_chk"
           top_pad="-4"
           width="22" />
           <icon
           follows="top|left"
           height="15"
           image_name="Icon_For_Sale"
           layout="topleft"
           mouse_opaque="true"
           name="landforsale"
           top_delta="2"
           left_pad="1"
           width="15" />
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           top_delta="2"
           left_pad="3"
           layout="topleft"
           name="land_sale_label"
           width="90">
           Land Sale
           </text>
           <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top_pad="10"
 width="112"/>
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           layout="topleft"
           left="6"
           name="legend_label"
           top_delta="4"
           width="125">
              Legend: Maturity
           </text>
           <check_box
           control_name="MapShowEvents"
           follows="top|left"
           height="16"
           layout="topleft"
           left="4"
           top_pad="10"
           name="event_chk"
           width="22" />
           <icon
           follows="top|left"
           height="16"
           image_name="Parcel_PG_Dark"
           layout="topleft"
           mouse_opaque="true"
           name="event"
           top_delta="1"
           left_pad="-1"
           width="18" />
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           top_delta="3"
           left_pad="2"
           layout="topleft"
           name="pg_label"
           width="60">
              General
           </text>
           <check_box
           control_name="ShowMatureEvents"
           follows="top|left"
           height="16"
           initial_value="true"
           layout="topleft"
           left="4"
           name="events_mature_chk"
           top_pad="-4"
           width="22" />
           <icon
           follows="top|left"
           height="16"
           image_name="Parcel_M_Dark"
           layout="topleft"
           mouse_opaque="true"
           name="events_mature_icon"
           top_delta="1"
           left_pad="-1"
           width="18" />
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           top_delta="3"
           left_pad="2"
           layout="topleft"
           name="events_mature_label"
           width="66">
              Moderate
           </text>
           <check_box
           control_name="ShowAdultEvents"
           follows="top|left"
           height="16"
           layout="topleft"
           left="4"
           name="events_adult_chk"
           top_pad="-4"
           width="22" />
           <icon
           follows="top|left"
           height="16"
           image_name="Parcel_R_Dark"
           layout="topleft"
           left_pad="-1"
           mouse_opaque="true"
           name="events_adult_icon"
           top_delta="1"
           width="18" />
           <text
           type="string"
           length="1"
           follows="top|left"
           halign="left"
           height="16"
           top_delta="3"
           left_pad="2"
           layout="topleft"
           name="events_adult_label"
           width="66">
              Adult
           </text>
          </panel>
      </layout_panel>
      <layout_panel
      auto_resize="true"
      follows="all"
      height="500"
      left="0"
      width="300"
      background_visible="false"
      bg_alpha_color="Black_75"
      layout="topleft"
      mouse_opaque="true"
      name="world_panel">
	 <panel
	 filename="panel_world_map.xml"
	 follows="all"
	 height="500"
	 layout="topleft"
	 left="7"
	 name="objects_mapview"
	 top="0"
	 width="285" />
  <button
  enabled="false"
  follows="right|top"
  height="18"
  image_overlay="Command_Destinations_Icon"
  image_hover_unselected="Transparent"
  image_selected="Transparent"
  image_unselected="Transparent"
  left="-29"
  top="17"
  name="Show Destination"
  tool_tip="Center map on selected location"
  width="18">
  <button.commit_callback
  function="WMap.ShowTarget" />
  </button>
  <icon
	 follows="right|top"
	 height="16"
	 image_name="Zoom_Off"
	 layout="topleft"
	 left="-28"
	 mouse_opaque="true"
	 name="zoom_icon"
	 top="40"
	 width="16"/>
	 <slider
	 follows="right|top"
	 height="81"
	 increment="0.1"
	 initial_value="-2"
	 left="-28"
	 layout="topleft"
  orientation="vertical"
	 max_val="0"
	 top="60"
	 min_val="-8"
	 name="zoom slider"
	 show_text="false"
	 width="16" />
  <button
	 control_name="WorldMapShowLegend"
	 follows="left|bottom"
	 height="18"
  image_overlay="Command_Preferences_Icon"
     image_hover_unselected="Transparent"
      image_selected="Transparent"
      image_unselected="Transparent"
	 toggle="true"
	 left="11"
	 layout="topleft"
	 name="Worldmap Controls"
	 tool_tip="Show/Hide the worldmap controls"
	 top="-35"
	 width="18"/>
      </layout_panel>
      <layout_panel
      auto_resize="false"
      follows="right|top|bottom"
      height="580"
      right="0"
      min_width="200"
      width="200"
      background_visible="false"
      layout="topleft"
      mouse_opaque="true"
      name="controls_panel">
	 <panel
	 name="layout_panel_1"
	 width="192"
	 follows="left|top|bottom"
	 height="580"
	 top="0"
	 left="0"
  bg_alpha_image="Panel_Background"
	 background_visible="true">
   <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top_pad="1"
 width="190"/>
	    <text
	    type="string"
	    length="1"
	    follows="top|left"
	    halign="left"
	    height="16"
	    layout="topleft"
	    left="5"
	    name="find_on_map_label"
	    top_delta="4"
	    width="190">
	       Find on Map
	    </text>
	    <icon
	    color="0.5 0 0 1"
	    follows="top|right"
	    height="16"
	    image_name="map_track_16.tga"
	    layout="topleft"
	    left="5"
	    top_pad="10"
	    mouse_opaque="true"
	    name="avatar_icon"
	    width="16" />
	    <combo_box
	    allow_text_entry="true"
	    follows="top|right"
	    height="23"
	    label="Online Friends"
	    layout="topleft"
	    top_delta="-4"
	    left_pad="11"
	    max_chars="60"
	    name="friend combo"
	    tool_tip="Show friends on map"
	    width="158">
	       <combo_box.item
	       label="My Friends Online"
	       name="item1"
	       value="None" />
	       <combo_box.commit_callback
	       function="WMap.AvatarCombo"/>
           <combo_box.combo_editor
           text_pad_left="7"
           background_image="TextField_Off"
           background_image_disabled="TextField_Disabled"
           background_image_focused="TextField_Active"/>
         <combo_box.combo_button
         image_unselected="ComboToolbarButton_Off"
         image_selected="ComboToolbarButton_Selected"
         image_pressed="ComboToolbarButton_Selected" 
         image_pressed_selected="ComboToolbarButton_Selected"/>
         <combo_box.drop_down_button
         image_unselected="ComboToolbarButton_Off"
         image_selected="ComboToolbarButton_Selected"
         image_pressed="ComboToolbarButton_Selected" 
         image_pressed_selected="ComboToolbarButton_Selected"
         image_disabled="ComboToolbarButton_Disabled"/>
	    </combo_box>
	    <icon
	    color="0.5 0 0 1"
	    follows="top|right"
	    height="16"
	    image_name="map_track_16.tga"
	    layout="topleft"
	    left="5"
	    top_pad="6"
	    mouse_opaque="true"
	    name="landmark_icon"
	    width="16" />
	    <combo_box
	    allow_text_entry="true"
	    follows="top|right"
	    height="23"
	    label="My Landmarks"
	    layout="topleft"
	    top_delta="-4"
	    left_pad="11"
	    max_chars="64"
	    name="landmark combo"
	    tool_tip="Landmark to show on map"
	    width="158">
	       <combo_box.item
	       label="My Landmarks"
	       name="item1"
	       value="None" />
	       <combo_box.commit_callback
	       function="WMap.Landmark"/>
           <combo_box.combo_editor
           text_pad_left="7"
           background_image="TextField_Off"
           background_image_disabled="TextField_Disabled"
           background_image_focused="TextField_Active"/>
         <combo_box.combo_button
         image_unselected="ComboToolbarButton_Off"
         image_selected="ComboToolbarButton_Selected"
         image_pressed="ComboToolbarButton_Selected" 
         image_pressed_selected="ComboToolbarButton_Selected"/>
         <combo_box.drop_down_button
         image_unselected="ComboToolbarButton_Off"
         image_selected="ComboToolbarButton_Selected"
         image_pressed="ComboToolbarButton_Selected" 
         image_pressed_selected="ComboToolbarButton_Selected"
         image_disabled="ComboToolbarButton_Disabled"/>
	    </combo_box>
	    <icon
	    color="0.5 0 0 1"
	    follows="top|right"
	    height="16"
	    image_name="map_track_16.tga"
	    layout="topleft"
	    left="5"
	    top_pad="6"
	    mouse_opaque="true"
	    name="location_icon"
	    width="16" />
	    <search_editor
	    follows="top|right"
	    search_button_visible="false"
	    height="23"
	    text_readonly_color="DkGray"
	    label="Regions by Name"
	    layout="topleft"
	    text_pad_left="7"
        background_image="TextField_Off"
        background_image_disabled="TextField_Disabled"
        background_image_focused="TextField_Active"
	    text_pad_right="25"
	    top_delta="-4"
	    left_pad="11"
	    name="location"
	    select_on_focus="true"
	    tool_tip="Type the name of a region"
	    width="150">
	       <search_editor.commit_callback
	       function="WMap.Location" />
	    </search_editor>
     <panel
 follows="left|top|right"
 height="20"
 bg_visible="true"
 bg_alpha_color="0.10 0.43 0.77 0.28"
 layout="topleft"
 mouse_opaque="false"
 left="1"
 name="title"
 top_pad="6"
 width="190"/>
	    <text
	    type="string"
	    length="1"
	    follows="top|left"
	    halign="left"
	    height="16"
	    layout="topleft"
	    left="5"
	    name="find_on_map_label"
	    top_delta="4"
	    width="190">
	       Places
	    </text>
	    <scroll_list
	    draw_stripes="false"
	    follows="all"
	    height="431"
	    layout="topleft"
	    left="0"
	    name="search_results"
	    visible="true"
	    top_pad="-1"
	    width="193"
	    sort_column="1">
	       <scroll_list.columns
	       label=""
	       name="icon"
	       width="16" />
	       <scroll_list.columns
	       label=""
	       name="sim_name"
	       width="193" />
	       <scroll_list.commit_callback
	       function="WMap.SearchResult" />
	    </scroll_list>
     <button
	    follows="left|bottom"
	    height="25"
     image_overlay="Command_Picks_Icon"
        image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
	    layout="topleft"
	    left="1"
	    name="copy_slurl"
	    tool_tip="Copies current location as SLurl to be used on the web."
	    top_pad="-1"
	    width="31">
	       <button.commit_callback
	       function="WMap.CopySLURL" />
	    </button>
     <icon
  follows="bottom|left"
  height="25"
  image_name="Toolbar_Middle_Off"
  layout="topleft"
  left_pad="1"
  top_delta="0"
  name="dummy_icon"
  width="101"/>
   <spinner
	    control_name="Teleport_Coordinate_Z"
	    decimal_digits="0"
	    follows="left|bottom"
	    height="23"
	    increment="1"
	    initial_value="23"
	    layout="topleft"
	    left_delta="51"
	    top_delta="1"
	    max_val="4096"
	    min_val="0"
	    name="teleport_coordinate_z"
	    width="48" >
	       <spinner.commit_callback
	       function="WMap.Coordinates" />
           <spinner.up_button
          image_unselected="transparent.j2c"
          image_selected="transparent.j2c"/>
          <spinner.down_button
          image_unselected="transparent.j2c"
          image_selected="transparent.j2c"/>
	    </spinner>
	    <spinner
	    control_name="Teleport_Coordinate_Y"
	    decimal_digits="0"
	    follows="left|bottom"
	    height="23"
	    increment="1"
	    initial_value="256"
	    layout="topleft"
	    left_delta="-33"
	    top_delta="0"
	    max_val="255"
	    min_val="0"
	    name="teleport_coordinate_y"
	    width="48" >
	       <spinner.commit_callback
	       function="WMap.Coordinates" />
           <spinner.up_button
          image_unselected="transparent.j2c"
          image_selected="transparent.j2c"/>
          <spinner.down_button
          image_unselected="transparent.j2c"
          image_selected="transparent.j2c"/>
	    </spinner>
        <spinner
	    control_name="Teleport_Coordinate_X"
	    decimal_digits="0"
	    follows="left|bottom"
	    height="23"
	    increment="1"
	    initial_value="256"
	    layout="topleft"
	    left_delta="-33"
	    top_delta="0"
	    max_val="255"
	    min_val="0"
	    name="teleport_coordinate_x"
	    width="48" >
	       <spinner.commit_callback 
	       function="WMap.Coordinates" />
          <spinner.up_button
          image_unselected="transparent.j2c"
          image_selected="transparent.j2c"/>
          <spinner.down_button
          image_unselected="transparent.j2c"
          image_selected="transparent.j2c"/>
	    </spinner>
   <button
	    follows="left|bottom"
	    height="25"
        image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
      image_overlay_alignment="left"
	    layout="topleft"
	    left_pad="69"
     label="Teleport"
	    name="Teleport"
	    tool_tip="Teleport to selected location"
	    top_delta="-1"
	    width="56">
	       <button.commit_callback
	       function="WMap.Teleport" />
	    </button>
	 </panel>
      </layout_panel>
   </layout_stack>
</floater>
